import { _decorator, Component, Node } from 'cc';
import { pointer_ding_wei_data } from '../../../data/data';
import { receive_res_item } from './receive_res_item';
const { ccclass, property } = _decorator;

@ccclass('res_pointer_ding_wei')
export class res_pointer_ding_wei extends Component {
    @property(Node) bg:Node = null;
    @property(Node) pointer_bar:Node = null;
    @property(Node) pointer_bar_point:Node = null;
    @property(Node) img_text:Node = null;
    @property(Node) img_eye_1:Node = null;
    @property(Node) img_eye_2:Node = null;
    @property(Node) btn_pointer_ding_wei_sure:Node = null;
    private m_data:pointer_ding_wei_data = null;
    public initView(data:pointer_ding_wei_data){
        this.m_data = data;
        this.bg.getComponent(receive_res_item).initView( this.m_data.bg)
        this.pointer_bar.getComponent(receive_res_item).initView(this.m_data.pointer_bar)
        this.pointer_bar_point.getComponent(receive_res_item).initView(this.m_data.pointer_bar_point)
        this.img_text.getComponent(receive_res_item).initView(this.m_data.img_text)
        this.img_eye_1.getComponent(receive_res_item).initView(this.m_data.img_eye_1)
        this.img_eye_2.getComponent(receive_res_item).initView(this.m_data.img_eye_2)
        this.btn_pointer_ding_wei_sure.getComponent(receive_res_item).initView(this.m_data.btn_pointer_ding_wei_sure)
    }
}


